diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPRequest.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPRequest.java
index 98f50e7efb364f471e39aaf03eb84c41998478eb..ea2e54221fe1afc9590239befab12f86f7a8f864 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPRequest.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPRequest.java
@@ -65,11 +65,7 @@ public class OCSPRequest implements ASN1Value
 	{
 		return optionalSignature;
 	}
-
-	///////////////////////////////////////////////////////////////////////
-	// Constructors
-	///////////////////////////////////////////////////////////////////////
-	private OCSPRequest() { }
+	
 
 	/* THIS code is probably broken. It does not properly encode the explicit element */
        
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponse.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponse.java
index 67f6242c50d0077d2076c8f55c8a2acf08c4dfe6..d8635fe2a47e9e3c068b84692867c6b6774acac3 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponse.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponse.java
@@ -58,11 +58,6 @@ public class OCSPResponse implements ASN1Value
 		return responseBytes;
 	}
 
-	///////////////////////////////////////////////////////////////////////
-	// Constructors
-	///////////////////////////////////////////////////////////////////////
-	private OCSPResponse() { }
-
 	public OCSPResponse(OCSPResponseStatus responseStatus,
 		ResponseBytes responseBytes)
 	{
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponseStatus.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponseStatus.java
index ee2b62020c7d7ec0e4be18af6ee0b1b176736785..145fbe7d07206fa6935b6110ba42c9ca8032bc79 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponseStatus.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponseStatus.java
@@ -69,11 +69,6 @@ public class OCSPResponseStatus implements ASN1Value
 		return responseStatus.getValue();
 	}
 
-	///////////////////////////////////////////////////////////////////////
-	// Constructors
-	///////////////////////////////////////////////////////////////////////
-	private OCSPResponseStatus() { }
-
 	public OCSPResponseStatus(long val)
 	{
 		responseStatus = new ENUMERATED(val);
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/Request.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/Request.java
index f180709deb28db3299ed9f7b8322be02545a956c..9f277bb9683e6da571330bd73a6161eb5414f475 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/Request.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/Request.java
@@ -72,11 +72,6 @@ public class Request implements ASN1Value
 			return (Extension) singleRequestExtensions.elementAt(index);
 	}
 
-	///////////////////////////////////////////////////////////////////////
-	// constructors
-	///////////////////////////////////////////////////////////////////////
-	private Request() { }
-
 	public Request(CertID reqCert, SEQUENCE singleRequestExtensions)
 	{
   		sequence = new SEQUENCE();
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseBytes.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseBytes.java
index 80a15b910fe4b205c4c020ff6b4497deceb15411..b5fed0d9f8be843825bbcaa0ccec7455942d3f48 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseBytes.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseBytes.java
@@ -64,11 +64,6 @@ public class ResponseBytes implements ASN1Value
 		return response;
 	}
 
-	///////////////////////////////////////////////////////////////////////
-	// Constructors
-	///////////////////////////////////////////////////////////////////////
-	private ResponseBytes() { }
-
 	public ResponseBytes(OBJECT_IDENTIFIER responseType, OCTET_STRING response)
 	{
 		sequence = new SEQUENCE();
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/Signature.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/Signature.java
index 2810182e16a7b99c2eeeb13df2cf0c0bbeabccf7..d670dfe237e24b3d0ba5917638590b8b710bad6c 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/Signature.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/Signature.java
@@ -81,11 +81,6 @@ public class Signature implements ASN1Value
 			return (Certificate) certs.elementAt(index);
 	}
 
-	///////////////////////////////////////////////////////////////////////
-	// constructors
-	///////////////////////////////////////////////////////////////////////
-	private Signature() { }
-
 	public Signature(AlgorithmIdentifier signatureAlgorithm,
 		BIT_STRING signature, SEQUENCE certs)
 	{
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/TBSRequest.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/TBSRequest.java
index 4e09c5914c8d397cde43e43eee3f9788b2c16c51..ea23200dba236f8b1bca5a86bc0c0669e1fa1f77 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/TBSRequest.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/TBSRequest.java
@@ -98,8 +98,6 @@ public class TBSRequest implements ASN1Value
     // constructors
     ///////////////////////////////////////////////////////////////////////
     
-    private TBSRequest() {}
-
     public TBSRequest(INTEGER version, ANY requestorName,
         SEQUENCE requestList, SEQUENCE requestExtensions)
     {
diff --git a/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java b/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java
index 1010ca26276c28c7fe4540862976945a1d5b072e..586a699666a9d20aea6af0f8be7d9cab9000dae3 100644
--- a/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java
@@ -93,13 +93,6 @@ public class OCSPNoCheckExtension extends Extension implements CertAttrSet {
         }
     }
     
-    private void encodeThis(DerOutputStream out) throws IOException {
-        if (mCached == null) {
-            super.encode(out);
-            mCached = out.toByteArray();
-        }
-    }
-    
     public String toString() {
         String presentation = "oid=" + OID + " ";
 
diff --git a/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java b/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java
index dfa5a728d7066f2b88123187a6ca0bdf01571cd5..91bb8b4708dab0f2747ce452734f73f2cc45cc34 100644
--- a/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java
+++ b/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java
@@ -69,18 +69,6 @@ public class PKCS8Key implements PrivateKey {
      */
     public PKCS8Key() { }
 
-    /*
-     * Build and initialize as a "default" key.  All PKCS#8 key
-     * data is stored and transmitted losslessly, but no knowledge
-     * about this particular algorithm is available.
-     */
-    private PKCS8Key (AlgorithmId algid, byte key [])
-    throws InvalidKeyException {
-	this.algid = algid;
-	this.key = key;
-	encode();
-    }
-
     /**
      * Construct PKCS#8 subject public key from a DER value.  If
      * the runtime environment is configured with a specific class for
diff --git a/pki/base/util/src/netscape/security/provider/DSA.java b/pki/base/util/src/netscape/security/provider/DSA.java
index a40bd02950a6c05be4878d06244c0a7e2e8154fb..9fa5b9f6c5ce17536b11a2d6cacf7d7f86293cfc 100644
--- a/pki/base/util/src/netscape/security/provider/DSA.java
+++ b/pki/base/util/src/netscape/security/provider/DSA.java
@@ -20,8 +20,6 @@ package netscape.security.provider;
 import java.io.IOException;
 import java.io.PrintStream;
 import java.math.BigInteger;
-import java.security.AlgorithmParameters;
-import java.security.InvalidAlgorithmParameterException;
 import java.security.InvalidKeyException;
 import java.security.InvalidParameterException;
 import java.security.MessageDigest;
@@ -32,8 +30,6 @@ import java.security.SecureRandom;
 import java.security.Signature;
 import java.security.SignatureException;
 import java.security.interfaces.DSAParams;
-import java.security.spec.DSAParameterSpec;
-import java.security.spec.InvalidParameterSpecException;
 
 import netscape.security.util.BigInt;
 import netscape.security.util.DerInputStream;
@@ -143,20 +139,6 @@ public final class DSA extends Signature {
 	setParams(params);
     }
 
-    private void initialize(AlgorithmParameters params)
-	throws InvalidAlgorithmParameterException {
-	    try {
-		DSAParameterSpec dsaParamSpec;
-		dsaParamSpec = (DSAParameterSpec)params.getParameterSpec
-		    (DSAParameterSpec.class);
-		dataSHA.reset();
-		setParams(dsaParamSpec);
-	    } catch (InvalidParameterSpecException e) {
-		throw new InvalidAlgorithmParameterException
-		    ("Inappropriate parameter");
-	    }
-    }
-
     /**
      * Sign all the data thus far updated. The signature is formatted
      * according to the Canonical Encoding Rules, returned as a DER
@@ -228,10 +210,6 @@ public final class DSA extends Signature {
 	return v.equals(r);
     }
 
-    private void reset() {
-	dataSHA.reset();
-    }
-
     BigInteger generateR(BigInteger p, BigInteger q, BigInteger g,
 			 BigInteger k) {
 	BigInteger temp = g.modPow(k, p);
@@ -510,12 +488,6 @@ public final class DSA extends Signature {
 	this.presetG = params.getG();
     }
 
-    private void setParams(DSAParameterSpec params) {
-	this.presetP = params.getP();
-	this.presetQ = params.getQ();
-	this.presetG = params.getG();
-    }
-    
     /**
      * Update a byte to be signed or verified.
      *
@@ -670,12 +642,6 @@ public final class DSA extends Signature {
 
     /* End test vector values */
 
-    private static void debug(Exception e) {
-	if (debug) {
-	    e.printStackTrace();
-	}
-    }
-
     private static void debug(String s) {
 	if (debug) {
 	    System.err.println(s);
diff --git a/pki/base/util/src/netscape/security/provider/MD5.java b/pki/base/util/src/netscape/security/provider/MD5.java
index a3c12490df81365cea62bcff96d34187818c7f3f..a6adaac20c81515a142126c2d2b8e0fe7e092b7f 100644
--- a/pki/base/util/src/netscape/security/provider/MD5.java
+++ b/pki/base/util/src/netscape/security/provider/MD5.java
@@ -69,14 +69,7 @@ public final class MD5 extends MessageDigestSpi implements Cloneable {
 	init();
     }
 
-    private MD5(MD5 md5) {
-	this();
-	this.state = (int[])md5.state.clone();
-	this.transformBuffer = (int[])md5.transformBuffer.clone();
-	this.buffer = (byte[])md5.buffer.clone();
-	this.digestBits = (byte[])md5.digestBits.clone();
-	this.count = md5.count;
-    }
+    
 
     /* **********************************************************
      * The MD5 Functions. These are copied verbatim from
diff --git a/pki/base/util/src/netscape/security/provider/SHA.java b/pki/base/util/src/netscape/security/provider/SHA.java
index 2e5ac328eaed912a840ccda6984551ca4821d353..6e4bf51e7f4743ec7450059ae097c8797f11bcb9 100644
--- a/pki/base/util/src/netscape/security/provider/SHA.java
+++ b/pki/base/util/src/netscape/security/provider/SHA.java
@@ -56,20 +56,6 @@ public class SHA extends MessageDigestSpi implements Cloneable {
 
     private int AA, BB, CC, DD, EE;
 
-    /**
-     * Creates a SHA object.with state (for cloning) */
-    private SHA(SHA sha) {
-	this();
-	this.version = sha.version;
-	System.arraycopy(sha.W, 0, this.W, 0, W.length);
-	this.count = sha.count;
-	this.AA = sha.AA;
-	this.BB = sha.BB;
-	this.CC = sha.CC;
-	this.DD = sha.DD;
-	this.EE = sha.EE;
-    }
-    
     SHA(int version) {
 	this();
 	this.version = version;
diff --git a/pki/base/util/src/netscape/security/util/DerValue.java b/pki/base/util/src/netscape/security/util/DerValue.java
index 58ef8eccc46a2e3fa05dcf625cb6386e958efca0..93ca212408e044d5fac6e9410c597b9ee3de481f 100644
--- a/pki/base/util/src/netscape/security/util/DerValue.java
+++ b/pki/base/util/src/netscape/security/util/DerValue.java
@@ -490,24 +490,6 @@ public class DerValue {
     }
 
     /*
-     * Internal utility ... returns a string regardless of what
-     * restrictions have been placed on its encoding.
-     */
-    private String simpleGetString() throws IOException {
-	StringBuffer s = new StringBuffer(length);
-	try {
-	    int temp = length;
-
-	    data.reset ();
-	    while (temp-- > 0)
-		s.append ((char) data.getByte ());
-	} catch (IOException e) {
-	    return null;
-	}
-	return new String (s);
-    }
-
-    /*
      * @eturns a string if the DerValue is a ASN.1 character string type and
      * if there is a ByteToChar converter for the type. Returns null otherwise.
      */
diff --git a/pki/base/util/src/netscape/security/x509/CRLDistributionPoint.java b/pki/base/util/src/netscape/security/x509/CRLDistributionPoint.java
index 532e313a5d9d9f61e19ef2108491175ed1423661..eb3e8a23022650f4c6d7bac16d8d600f14004a41 100644
--- a/pki/base/util/src/netscape/security/x509/CRLDistributionPoint.java
+++ b/pki/base/util/src/netscape/security/x509/CRLDistributionPoint.java
@@ -478,11 +478,5 @@ public static class Template implements ASN1Template {
     }
 }
 
-private static void toFile(String filename, byte[] bytes) throws IOException{
-        FileOutputStream fos = new FileOutputStream(filename);
-        fos.write(bytes);
-        fos.close();
-}
-
 
 }
diff --git a/pki/base/util/src/netscape/security/x509/CRLDistributionPointsExtension.java b/pki/base/util/src/netscape/security/x509/CRLDistributionPointsExtension.java
index 6da6d586c30da36f98b46282aa95c988fb28a1b5..4e82bfb4cd84ebd48542b13319065d18c5d389e2 100644
--- a/pki/base/util/src/netscape/security/x509/CRLDistributionPointsExtension.java
+++ b/pki/base/util/src/netscape/security/x509/CRLDistributionPointsExtension.java
@@ -67,9 +67,6 @@ public class CRLDistributionPointsExtension extends Extension
     // vector of CRLDistributionPoint
     private SEQUENCE distributionPoints = new SEQUENCE();
 
-    // no default constructor
-    private CRLDistributionPointsExtension() { }
-
     // Cached DER-encoding to improve performance.
     private byte[] cachedEncoding=null;
 
diff --git a/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java b/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
index 22569f454f7886e1e565e1a339d666342458d6af..b7e62e0f038a76ba7df91005c560d040ab802b53 100644
--- a/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
+++ b/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
@@ -110,10 +110,6 @@ public class IssuingDistributionPointExtension extends Extension
     private byte[] cachedEncoding=null;
 
 
-    // no default constructor
-    private IssuingDistributionPointExtension() { }
-
-
     static {
         try {
             OIDMap.addAttribute(IssuingDistributionPointExtension.class.getName(),
diff --git a/pki/base/util/src/netscape/security/x509/OIDMap.java b/pki/base/util/src/netscape/security/x509/OIDMap.java
index 0b0fd5a361c5d2face9c5f2111d4f01d2d3d38a4..082ecc4fd31630dca2e471ff3017917083c2a2f7 100644
--- a/pki/base/util/src/netscape/security/x509/OIDMap.java
+++ b/pki/base/util/src/netscape/security/x509/OIDMap.java
@@ -19,7 +19,6 @@ package netscape.security.x509;
 
 import java.io.File;
 import java.io.FileInputStream;
-import java.io.FileOutputStream;
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Enumeration;
@@ -211,17 +210,6 @@ public class OIDMap {
         }
     }
 
-    // save to file
-    private static void saveDefaults(Properties props,  String fileName) {
-        try {
-            FileOutputStream fos = new FileOutputStream(fileName);
-            props.save(fos, "Registered classes");
-            fos.close();
-        } catch (IOException e) {
-            System.err.println(e);
-        }
-    }
-
     /**
      * Add a name to lookup table.
      *
diff --git a/pki/base/util/src/netscape/security/x509/X509CRLImpl.java b/pki/base/util/src/netscape/security/x509/X509CRLImpl.java
index 82ec78410d43f0284c23b648f887f7f8f7a98e81..e50c13f7ff4b39e25de8c613efc402d12078e530 100755
--- a/pki/base/util/src/netscape/security/x509/X509CRLImpl.java
+++ b/pki/base/util/src/netscape/security/x509/X509CRLImpl.java
@@ -112,12 +112,6 @@ public class X509CRLImpl extends X509CRL {
     private boolean readOnly = false;
 
     /**
-     * Not to be used. As it would lead to cases of uninitialized
-     * CRL objects.
-     */
-    private X509CRLImpl() { }
-
-    /**
      * Unmarshals an X.509 CRL from its encoded form, parsing the encoded
      * bytes.  This form of constructor is used by agents which
      * need to examine and use CRL contents. Note that the buffer
-- 
1.7.7

